TLSSessionInfo (Apache CXF JavaDoc 4.1.6 API)
Description: declaration: package: org.apache.cxf.security.transport, class: TLSSessionInfo

Package org.apache.cxf.security.transport

# Class TLSSessionInfo

java.lang.Object
org.apache.cxf.security.transport.TLSSessionInfo

public class TLSSessionInfo extends Object
An immutable struct that contains information about a negotiated TLS Session, including the (potentially negotiated) peer certificates as well as the currently effective TLS cipher suite.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TLSSessionInfo(String suite)`
  This constructor has the effect of calling TLSSessionInfo(null, suite)
  `TLSSessionInfo(String suite, SSLSession session, Certificate[] certs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getChipherSuite()`
  Deprecated.
  `final String`
  `getCipherSuite()`
  `final Certificate[]`
  `getPeerCertificates()`
  `final SSLSession`
  `getSSLSession()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TLSSessionInfo

    public TLSSessionInfo(String suite)
    This constructor has the effect of calling TLSSessionInfo(null, suite)

  - ### TLSSessionInfo

    public TLSSessionInfo(String suite, SSLSession session, Certificate[] certs)
    Parameters:
      `suite` - The negotiated cipher suite This parameter may not be null, by contract
      `session` - The JSSE representation of the SSL Session negotiated with the peer (optionally null, if it is unavailable)
      `certs` - the peer X.509 certificate chain (optionally null)

- ## Method Details

  - ### getChipherSuite

    @Deprecated public final String getChipherSuite()
    Deprecated.
    Returns:
      the negotiated cipher suite. This attribute is guaranteed to be non-null.

  - ### getCipherSuite

    public final String getCipherSuite()
    Returns:
      the negotiated cipher suite. This attribute is guaranteed to be non-null.

  - ### getPeerCertificates

    public final Certificate[] getPeerCertificates()
    Returns:
      the peer X.509 certificate chain, as negotiated though the TLS handshake. This attribute may be null, for example, if the SSL peer has not been authenticated.

  - ### getSSLSession

    public final SSLSession getSSLSession()
    Returns:
      the negotiated SSL Session. This attribute may be null if it is unavailable from the underlying transport.